/*
 * Project Name Codec Memory Management DRIVER IN WINCE
 * Copyright  2007 Samsung Electronics Co, Ltd. All Rights Reserved. 
 *
 * This software is the confidential and proprietary information
 * of Samsung Electronics  ("Confidential Information").   
 * you shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Samsung Electronics 
 *
 * This file implements JPEG driver.
 *
 * @name  Codec Memory Management DRIVER MODULE Module (CMMDriver.c)
 * @author Jiyoung Shin (idon.shin@samsung.com)
 * @date 23-04-08
 */
 
#ifndef __CMM_MISC_H__
#define __CMM_MISC_H__

typedef    unsigned char    UCHAR;
typedef unsigned long    ULONG;
typedef unsigned long    u32;
typedef    unsigned int    UINT;


HANDLE CreateCMMmutex(void);
DWORD LockCMMMutex(void);
DWORD UnlockCMMMutex(void);
void DeleteCMMMutex(void);
void printD(char* fmt, ...);

#endif